Access Violation Attempt to read 400 - MudRev

Discussion on running your own board and editing MajorMUD.
Post Reply
User avatar
Necrosaro420
Posts: 106
Joined: Tue Jan 17, 2012 2:16 am

Access Violation Attempt to read 400 - MudRev

Post by Necrosaro420 » Wed Aug 01, 2018 4:03 am

Installed a copy of MudRev locally and messing around with it. Getting Access Violation Attempt to read 400 error message. Any ideas on how to stop that? First time it happened tried to attack something in Newhaven...seemed fine after. Ran Salamanders for a couple hours, all was fine, then tried to use sys mon acid slime to summon a slime then it happened. Board came up, tried it again, same issue.


Ravyn
Posts: 26
Joined: Wed Mar 30, 2016 4:40 pm

Re: Access Violation Attempt to read 400 - MudRev

Post by Ravyn » Wed Aug 01, 2018 2:12 pm

IDK anything about mudrev specifically but usually the access violations are due to a message being coded incorrectly (a %s instead of a %d or vise versa, or missing or extra %s), usually coming from a spell or attack. If you can isolate it back to a specific monster (like acid slime) it may be one of its attacks, and in fact many monsters may be using the same attack and therefore happen with other monsters.


User avatar
Necrosaro420
Posts: 106
Joined: Tue Jan 17, 2012 2:16 am

Re: Access Violation Attempt to read 400 - MudRev

Post by Necrosaro420 » Wed Aug 01, 2018 3:53 pm

Well so first time it happened I attacked an acid slime in newhaven...those have been fine since that first crash. Now if I use sys mon acid slime, sys mon moaning spirit, it crashes on those 2 I have found for sure. But sys mon also does not summon what I tell it to. I may sys mon skeletal warrior, and it brings out a salamander for example. Not found anything else so far that has caused it to crash. I've ran Salas for a few hours, and left it in newhaven overnight and it never crashed.


User avatar
Necrosaro420
Posts: 106
Joined: Tue Jan 17, 2012 2:16 am

Re: Access Violation Attempt to read 400 - MudRev

Post by Necrosaro420 » Wed Aug 01, 2018 3:57 pm

Also, not sure if it had anything to do with it....I use Nightmare 1.8. Those files were made for 1.6.


Post Reply